### GET /accounts/balance
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of your account's balance.
```markdown
### Responses
#### 200 - Successfully retrieved balance details
**AccountsBalanceResponse200**
- **balance** (number): The account balance retrieved (example: 6000.23)
- **currencyCode** (string): The currency abbreviation of the account (example: "USD")
- **currencyName** (string): The currency denomination of the account (example: "US Dollar")
- **updatedAt** (string): The last time a transaction was made on the account (example: "2022-02-04 08:45:51")
#### 401 - Failed due to an unauthorized request
**AccountsBalanceResponse401**
- **timeStamp** (string): The exact time the request for the account's balance was made (example: "2022-05-11 21:14:00")
- **message** (string): The error message returned for the failed request (example: "Full authentication is required to access this resource")
- **path** (string): The URL Path which the request was made through (example: "/accounts/balance")
- **errorCode** (string): The error code associated with the reason for the failed request (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error (example: null)
- **details** (array): Further details of the error returned for the failed request (example: [])
#### 404 - Failed because the request was made to an incorrect URL path
**AccountsBalanceResponse404**
- **timeStamp** (string): The exact time the request for the account's balance was made (example: "2021-09-11 11:54:00")
- **status** (number): The HTTP status code returned after the request was made (example: 404)
- **error** (string): The error code received after the request was made (example: "Not Found")
- **message** (string): The error message received after the request was made (example: "No message available")
- **path** (string): The URL path to which the request was made (example: "/account/balance")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/accounts/balance"
```
```
--------------------------------
### GET /product-categories
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of every gift card category.
```markdown
### Responses
#### 200 - Successfully retrieved details of all categories
**GetAllCategoriesResponse200**
- Array of object
- **id** (number): This indicates the unique identification number of the category (example: 1)
- **name** (string): This indicates the name of the category. (example: "Finance")
#### 401 - Failed due to an unauthorized request
**GetAllCategoriesResponse401**
- **timeStamp** (string): The exact time the request for the list of categories was made (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request (example: "Full authentication is required to access this resource")
- **path** (string): The URL Path which the request was made through (example: "/product-categories")
- **errorCode** (string): The error code associated with the reason for the failed request (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error (example: null)
- **details** (array): Further details of the error returned for the failed request (example: [])
#### 404 - Failed because the request was made to an incorrect URL path
**GetAllCategoriesResponse404**
- **timeStamp** (string): The exact time the request for the list of categories was made (example: "2021-04-11 13:24:00")
- **status** (number): The HTTP status code returned after the request was made (example: 404)
- **error** (string): The error code received after the request was made (example: "Not Found")
- **message** (string): The error message received after the request was made (example: "No message available")
- **path** (string): The URL path to which the request was made (example: "/product-categories")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/product-categories"
```
```
--------------------------------
### GET /products/{productId}/redeem-instructions
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the redeem instruction details of a gift card product by making a request with its product ID.
```markdown
### Parameters
- **productId** (integer, path, required): The gift card product's ID. (example: 4)
### Responses
#### 200 - Successfully retrieved redeem instruction details of a gift card product.
**GetRedeemInstructionsByProductIdResponse200**
- **productId** (integer): This indicates the identification number of the gift card product to be redeemed (example: 1)
- **productName** (string): This indicates the name of the gift card product to be redeemed (example: "1-800-PetSupplies")
- **concise** (string): Indicates a set of brief instructions for redeeming a gift card. (example: "This card is redeemable for merchandise on www.1-800-petsupplies.com")
- **verbose** (string): Indicates a set of lengthy instructions for redeeming a gift card. (example: "Your acceptance of this eCertificate constitutes your agreement to these terms and conditions. This card is redeemable in U.S. only for merchandise on www.1-800-petsupplies.com . Only two eCertificates are redeemable per order. eCertificates cannot be redeemed for cash, except as required by law. Void if altered or reproduced. This gift card is issued in U.S. funds by Tabcom, LLC. When Redeeming online please be sure to enter the entire gift card number including preceding zeros. The maximum number of eCertificates that can be used for phone is nine. By accepting these Terms and Conditions through your use of this Site, you certify that you reside in the United States and are 18 years of age or older. If you are under the age of 18 but at least 14 years of age you may use this Site only under the supervision of a parent or legal guardian who agrees to be bound by these Terms and Conditions.")
#### 401 - Failed due to an unauthorized request.
**GetRedeemInstructionsByProductIdResponse401**
- **timeStamp** (string): The exact time the request for the redeem instructions was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/redeem-instructions/1")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetRedeemInstructionsByProductIdResponse404**
- **timeStamp** (string): The exact time the request for the redeem instructions was made. (example: "2021-04-11 13:24:00")
- **status** (integer): The HTTP status code returned after the request was made. (example: 404)
- **error** (string): The error code received after the request was made. (example: "Not found")
- **message** (string): The error message received after the request was made. (example: "No message available")
- **path** (string): The URL path to which the request was made. (example: "/redeem-instructions/1")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/products/{productId}/redeem-instructions"
```
```
--------------------------------
### GET /redeem-instructions
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the redeem instruction details of every gift card product that can be purchased via Reloadly.
```markdown
### Responses
#### 200 - Successfully retrieved details of all gift card redeem instructions.
**GetAllRedeemInstructionsResponse200**
- Array of object
- **brandId** (integer): This indicates the identification number of the gift card brand to be redeemed (example: 1)
- **brandName** (string): This indicates the name of the gift card brand to be redeemed (example: "1-800-PetSupplies")
- **concise** (string): Indicates a set of brief instructions for redeeming a gift card. (example: "This card is redeemable for merchandise on www.1-800-petsupplies.com")
- **verbose** (string): Indicates a set of lengthy instructions for redeeming a gift card. (example: "Your acceptance of this eCertificate constitutes your agreement to these terms and conditions. This card is redeemable in U.S. only for merchandise on www.1-800-petsupplies.com . Only two eCertificates are redeemable per order. eCertificates cannot be redeemed for cash, except as required by law. Void if altered or reproduced. This gift card is issued in U.S. funds by Tabcom, LLC. When Redeeming online please be sure to enter the entire gift card number including preceding zeros. The maximum number of eCertificates that can be used for phone is nine. By accepting these Terms and Conditions through your use of this Site, you certify that you reside in the United States and are 18 years of age or older. If you are under the age of 18 but at least 14 years of age you may use this Site only under the supervision of a parent or legal guardian who agrees to be bound by these Terms and Conditions.")
#### 401 - Failed due to an unauthorized request.
**GetAllRedeemInstructionsResponse401**
- **timeStamp** (string): The exact time the request for the list of redeem instructions was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/redeem-instructions")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetAllRedeemInstructionsResponse404**
- **timeStamp** (string): The exact time the request for the list of redeem instructions was made. (example: "2021-04-11 13:24:00")
- **status** (integer): The HTTP status code returned after the request was made. (example: 404)
- **error** (string): The error code received after the request was made. (example: "Not Found")
- **message** (string): The error message received after the request was made. (example: "No message available")
- **path** (string): The URL path to which the request was made. (example: "/redeem-instruction")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/redeem-instructions"
```
```
--------------------------------
### GET /countries/{countrycode}/products
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of every giftcard product available to a country by making a request with the country's ISO code.
```markdown
### Parameters
- **countrycode** (string, path, required): The ISO code of the country you want to display available gift cards for. (example: "US")
### Responses
#### 200 - Successfully retrieved details of a gift card product.
**GetProductByIsoResponse200**
- Array of object
- **productId** (integer): This indicates the product ID of the gift card. (example: 1)
- **productName** (string): This indicates the gift card's name. (example: "1-800-PetSupplies")
- **global** (boolean): This indicates if the gift card is global or regional (country-specific). (example: false)
- **senderFee** (number): This indicates the fee applied for every gift card purchase. Note that this fee is applied with the user's account currency. Universally, it is a flat fee of 0.5 USD. (example: 205.29)
- **senderFeePercentage** (number): This indicates the fee percentage applied for every gift card purchase. (example: 1)
- **discountPercentage** (number): This indicates the percentage discount available for every purchase of the gift card. (example: 7.5)
- **denominationType** (string): This indicates the price(s) for which the gift card can be purchased. Options are either FIXED or RANGE. (example: "FIXED")
- **recipientCurrencyCode** (string): This indicates the currency the gift card product is delivered in. (example: "USD")
- **recipientCurrencyToSenderCurrencyExchangeRate** (number): The exchange rate applied when converting the recipient’s currency into the sender’s currency. This determines how much the sender pays in their local currency for the equivalent value in the recipient’s currency. (example: 1.12)
- **minRecipientDenomination** (number): This indicates the minimum amount for which a gift card can be purchased. It only applies to gift cards that have a denomination type of RANGE. (example: 10)
- **maxRecipientDenomination** (number): This indicates the maximum amount for which a gift card can be purchased. It only applies to gift cards that have a denomination type of RANGE. (example: 1000)
- **senderCurrencyCode** (string): This indicates the currency of the user's account. (example: "NGN")
- **minSenderDenomination** (number): This indicates the minimum amount for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of RANGE. (example: 10)
- **maxSenderDenomination** (number): This indicates the maximum amount for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of RANGE (example: 1000)
- **fixedRecipientDenominations** (array (unknown)): This indicates an array of fixed amounts for which a gift card can be purchased. This only applies to gift cards that have a denomination type of FIXED.
- **fixedSenderDenominations** (array (unknown)): This indicates an array of fixed amounts for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of FIXED.
- **fixedRecipientToSenderDenominationsMap** (array (unknown)): This is an array that contains fixed amounts of the gift card's price and their values when converted to the user's account currency. This only applies to gift cards that have a denomination type of FIXED
- **logoUrls** (array): This is a URL link to an image of the gift card.
- **brand** (object): This is an object that contains details of the various brands that can be accessed in a gift card product.
- **brandId** (integer): This indicates the identification number of a gift card's brand. (example: 1)
- **brandName** (string): This indicates that name of the gift card's brand. (example: "Amazon")
- **category** (object): This contains the category information of the gift card product.
- **id** (number): This is the category identifier. (example: 12)
- **name** (string): This indicates the name of the category. (example: "Entertainment")
- **country** (object): This is an object that contains all the details of the country where a gift card can be used. It only applies to gift cards that are not global.
- **isoName** (string): This indicates the ISO code of the country where a gift card can be used. (example: "US")
- **name** (string): This indicates the name of the country where a gift card can be used. (example: "United States")
- **flagUrl** (string): Indicates a URL link to an image of the country's flag. (example: "https://s3.amazonaws.com/rld-flags/us.svg")
- **redeemInstructions** (object): This indicates an object that contains instructions for redeeming a gift card.
- **concise** (string): Indicates a set of brief instructions for redeeming a gift card. (example: "This card is redeemable for merchandise on www.1-800-petsupplies.com")
- **verbose** (string): Indicates a set of lengthy instructions for redeeming a gift card. (example: "Your acceptance of this eCertificate constitutes your agreement to these terms and conditions. This card is redeemable in U.S. only for merchandise on www.1-800-petsupplies.com . Only two eCertificates are redeemable per order. eCertificates cannot be redeemed for cash, except as required by law. Void if altered or reproduced. This gift card is issued in U.S. funds by Tabcom, LLC. When Redeeming online please be sure to enter the entire gift card number including preceding zeros. The maximum number of eCertificates that can be used for phone is nine. By accepting these Terms and Conditions through your use of this Site, you certify that you reside in the United States and are 18 years of age or older. If you are under the age of 18 but at least 14 years of age you may use this Site only under the supervision of a parent or legal guardian who agrees to be bound by these Terms and Conditions.")
- **additionalRequirements** (object): This object indicates additional information that may be required for some products. Only applicable to certain products
- **userIdRequired** (boolean): This indicates the user id of the customer that purchased the giftcard. Only applicable to certain products.
- **status** (string): This indicates the status of the gift card product. (example: "ACTIVE")
#### 401 - Failed due to an unauthorized request.
**GetProductByIsoResponse401**
- **timeStamp** (string): The exact time the request for the gift card product was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/products/US")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetProductByIsoResponse404**
- **timeStamp** (string): The exact time the request for the gift card propduct was made. (example: "2021-04-11 13:24:00")
- **message** (string): The error message received after the request was made. (example: "Country not found and/or not currently supported")
- **path** (string): The URL path to which the request was made. (example: "/countries/USG/products")
- **errorCode** (string): The error code received after the request was made. (example: "COUNTRY_NOT_SUPPORTED")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/countries/{countrycode}/products"
```
```
--------------------------------
### POST /oauth/token
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Reloadly employs the OAuth 2.0 standard.Note that all API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
To get an access token, first obtain your **client id** and **client secret** from the Reloadly dashboard. Remember to toggle between **LIVE** mode and **TEST** mode on the dashboard sidebar to select the appropriate **client id** and **client secret**.
After selecting the appropriate client credentials for the environment you want to work with, make a **POST** request with the payload format provided in the code sample section.
```markdown
### Request Body
**Content-Type:** application/json
- **client_id** (string): Your account's client identification number. (example: "qwcLzXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
- **client_secret** (string): Your account's client secret. (example: "7kscVxQZ32-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
- **grant_type** (string): The access type being specified. (example: "client_credentials")
- **audience** (string): The product which the access token is to be used for. (example: "https://giftcards.reloadly.com")
### Responses
#### 200 - Successfully created an access token.
**AccessTokenResponse200**
- **access_token** (string): The access token which can be used to make requests to Reloadly's API (example: "eyJraXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
- **scope** (string): The access token's scope (example: "developer")
- **expires_in** (integer): This indicates how long the access token is to last ( in seconds ) before expiring (example: 5184000)
- **token_type** (string): The type of access token (example: "Bearer")
#### 401 - Failed due to an unauthorized request.
**AccessTokenResponse401**
- **timeStamp** (string): The exact time the request for the access token was made (example: "2022-01-06 10:57:50")
- **message** (string): The error message returned for the failed request (example: "Access Denied")
- **path** (string): The URL Path which the request was made through (example: "/oauth/token")
- **errorCode** (string): The error code associated with the reason for the failed request (example: "INVALID_CREDENTIALS")
- **infoLink** (string): A link to further information about the error (example: null)
- **details** (array): Further details of the error returned for the failed request (example: null)
### Example Usage
```bash
curl -X POST "https://auth.reloadly.com/oauth/token" \
-H "Content-Type: application/json" \
-d '{
"client_id": "qwcLzXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"client_secret": "7kscVxQZ32-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"grant_type": "client_credentials",
"audience": "https://giftcards.reloadly.com"
}'
```
```
--------------------------------
### GET /products/{productId}/discounts
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the discount details of a giftcard product by making a request with the product's identification number.
```markdown
### Parameters
- **productId** (integer, path, required): The product's identification number. (example: 5)
### Responses
#### 200 - Successfully retrieved discount details of a gift card product.
**GetDiscountByProductIdResponse200**
- **product** (object): This is an object that contains details of the gift card product and its discount.
- **productId** (integer): This indicates the identification number of the gift card product. (example: 1)
- **productName** (string): This indicates the gift card's name. (example: "1-800-PetSupplies")
- **countryCode** (string): This indicates the ISO code of the country where a gift card can be used. (example: "US")
- **global** (boolean): This indicates if the gift card is global or regional (country-specific). (example: false)
- **discountPercentage** (number): This indicates the percentage discount available for every purchase of the gift card. (example: 7.5)
#### 401 - Failed due to an unauthorized request.
**GetDiscountByProductIdResponse401**
- **timeStamp** (string): The exact time the request for the list of products was made. (example: "2021-09-06 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/products/10/discounts")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetDiscountByProductIdResponse404**
- **timeStamp** (string): The exact time the request for the list of products was made. (example: "2021-04-11 13:24:00")
- **status** (integer): The HTTP status code returned after the request was made. (example: 404)
- **error** (string): The error code received after the request was made. (example: "Not found")
- **message** (string): The error message received after the request was made. (example: "No message available")
- **path** (string): The URL path to which the request was made. (example: "/products/10/discount")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/products/{productId}/discounts"
```
```
--------------------------------
### GET /products/{productid}
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of a giftcard product by making a request with the gift card product's identification number.
```markdown
### Parameters
- **productid** (integer, path, required): The product's identification number. (example: 5)
### Responses
#### 200 - Successfully retrieved details of a gift card product.
**GetProductByIdResponse200**
- **productId** (integer): This indicates the product identification number of the gift card. (example: 1)
- **productName** (string): This indicates the gift card's name. (example: "1-800-PetSupplies")
- **global** (boolean): This indicates if the gift card is global or regional (country-specific). (example: false)
- **senderFee** (number): This indicates the fee applied for every gift card purchase. Note that this fee is applied with the user's account currency. Universally, it is a flat fee of 0.5 USD. (example: 205.29)
- **senderFeePercentage** (number): This indicates the fee percentage applied for every gift card purchase. (example: 1)
- **discountPercentage** (number): This indicates the percentage discount available for every purchase of the gift card. (example: 7.5)
- **denominationType** (string): This indicates the price(s) for which the gift card can be purchased. Options are either FIXED or RANGE. (example: "FIXED")
- **recipientCurrencyCode** (string): This indicates the currency the gift card product is delivered in. (example: "USD")
- **recipientCurrencyToSenderCurrencyExchangeRate** (number): The exchange rate applied when converting the recipient’s currency into the sender’s currency. This determines how much the sender pays in their local currency for the equivalent value in the recipient’s currency. (example: 1.12)
- **minRecipientDenomination** (number): This indicates the minimum amount for which a gift card can be purchased. It only applies to gift cards that have a denomination type of RANGE. (example: 10)
- **maxRecipientDenomination** (number): This indicates the maximum amount for which a gift card can be purchased. It only applies to gift cards that have a denomination type of RANGE. (example: 1000)
- **senderCurrencyCode** (string): This indicates the currency of the user's account. (example: "NGN")
- **minSenderDenomination** (number): This indicates the minimum amount for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of RANGE. (example: 10)
- **maxSenderDenomination** (number): This indicates the maximum amount for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of RANGE (example: 1000)
- **fixedRecipientDenominations** (array (unknown)): This indicates an array of fixed amounts for which a gift card can be purchased. This only applies to gift cards that have a denomination type of FIXED.
- **fixedSenderDenominations** (array (unknown)): This indicates an array of fixed amounts for which a gift card can be purchased in the user's account currency. This only applies to gift cards that have a denomination type of FIXED.
- **fixedRecipientToSenderDenominationsMap** (array (unknown)): This is an array that contains fixed amounts of the gift card's price and their values when converted to the user's account currency. This only applies to gift cards that have a denomination type of FIXED
- **logoUrls** (array): This is a URL link to an image of the gift card.
- **brand** (object): This is an object that contains details of the various brands that can be accessed in a gift card product.
- **brandId** (integer): This indicates the identification number of a gift card's brand. (example: 1)
- **brandName** (string): This indicates that name of the gift card's brand. (example: "Amazon")
- **category** (object): This contains the category information of the gift card product.
- **id** (number): This is the category identifier. (example: 12)
- **name** (string): This indicates the name of the category. (example: "Entertainment")
- **country** (object): This is an object that contains all the details of the country where a gift card can be used. It only applies to gift cards that are not global.
- **isoName** (string): This indicates the ISO code of the country where a gift card can be used. (example: "US")
- **name** (string): This indicates the name of the country where a gift card can be used. (example: "United States")
- **flagUrl** (string): Indicates a URL link to an image of the country's flag. (example: "https://s3.amazonaws.com/rld-flags/us.svg")
- **redeemInstructions** (object): This indicates an object that contains instructions for redeeming a gift card.
- **concise** (string): Indicates a set of brief instructions for redeeming a gift card. (example: "This card is redeemable for merchandise on www.1-800-petsupplies.com")
- **verbose** (string): Indicates a set of lengthy instructions for redeeming a gift card. (example: "Your acceptance of this eCertificate constitutes your agreement to these terms and conditions. This card is redeemable in U.S. only for merchandise on www.1-800-petsupplies.com . Only two eCertificates are redeemable per order. eCertificates cannot be redeemed for cash, except as required by law. Void if altered or reproduced. This gift card is issued in U.S. funds by Tabcom, LLC. When Redeeming online please be sure to enter the entire gift card number including preceding zeros. The maximum number of eCertificates that can be used for phone is nine. By accepting these Terms and Conditions through your use of this Site, you certify that you reside in the United States and are 18 years of age or older. If you are under the age of 18 but at least 14 years of age you may use this Site only under the supervision of a parent or legal guardian who agrees to be bound by these Terms and Conditions.")
- **additionalRequirements** (object): This object indicates additional information that may be required for some products. Only applicable to certain products
- **userIdRequired** (boolean): This indicates the user id of the customer that purchased the giftcard. Only applicable to certain products.
- **status** (string): This indicates the status of the gift card product. (example: "ACTIVE")
#### 400 - Failed because the request was made with an incorrect gift card product identification number.
**GetProductByIdResponse400**
- **timeStamp** (string): The exact time the request for the gift card product was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "The product was either not found or is no longer available, Please contact support.")
- **path** (string): The URL path which the request was made through. (example: "/products/12")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: null)
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 401 - Failed due to an unauthorized request.
**GetProductByIdResponse401**
- **timeStamp** (string): The exact time the request for the gift card product was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/products/12")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetProductByIdResponse404**
- **timeStamp** (string): The exact time the request for the gift card product was made. (example: "2021-04-11 13:24:00")
- **status** (integer): The HTTP status code returned after the request was made. (example: 404)
- **error** (string): The error code received after the request was made. (example: "Not found")
- **message** (string): The error message received after the request was made. (example: "No message available")
- **path** (string): The URL path to which the request was made. (example: "/product/12")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/products/{productid}"
```
```
--------------------------------
### GET /countries/{countrycode}
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of a country by making a request with its ISO code.
```markdown
### Parameters
- **countrycode** (string, path, required): The country's ISO Code. (example: "US")
### Responses
#### 200 - Successfully retrieved details of a country
**GetCountryByIsoResponse200**
- **isoName** (string): This indicates the ISO code of the country. (example: "AF")
- **name** (string): This indicates the country's name. (example: "Afghanistan")
- **continent** (string): This indicates the name of the continent where the country is located (example: "Asia")
- **currencyCode** (string): This indicates the code of the country's currency. (example: "AFN")
- **currencyName** (string): This indicates the name of the country's currency. (example: "Afghan Afghani")
- **currencySymbol** (string): This indicates the symbol of the country's currency. (example: "؋")
- **flag** (string): This is a link to an SVG image of the country's flag. (example: "https://s3.amazonaws.com/rld-flags/af.svg")
- **callingCodes** (array (string))
#### 401 - Failed due to an unauthorized request
**GetCountryByIsoResponse401**
- **timeStamp** (string): The exact time the request for the country's details was made. (example: "2021-02-15 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource")
- **path** (string): The URL Path which the request was made through. (example: "/countries/PK")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: null)
#### 404 - Failed because the request was made to an incorrect URL path
**GetCountryByIsoResponse404**
- **timeStamp** (string): The exact time the request for the country's details was made. (example: "2021-04-11 13:24:00")
- **message** (string): The error message received after the request was made. (example: "Country not found and/or not currently supported")
- **path** (string): The URL path to which the request was made. (example: "/countries/PKGG")
- **errorCode** (string): The error code received after the request was made. (example: "COUNTRY_NOT_SUPPORTED")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: null)
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/countries/{countrycode}"
```
```
--------------------------------
### GET /fx-rate
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the foreign exchange rate details of a product by making a request with its product ID.
```markdown
### Parameters
- **currencyCode** (string, query, optional) (example: "USD")
- **amount** (string, query, optional) (example: "94.99")
### Responses
#### 200 - Successfully retrieved details of an operator's foreign exchange rate.
**FxRateResponse200**
- **senderCurrency** (string): This indicates the currency code of the sender. (example: "EUR")
- **senderAmount** (number): This indicates the amount the sender will be charged. (example: 88.50978)
- **recipientCurrency** (string): This indicates the currency of the recipient. (example: "USD")
- **recipientAmount** (number): This indicates the amount the recipient will receive. (example: 94.99)
#### 400 - Failed because the request was made to an operator without a foreign exchange rate..
**FxRateResponse400**
- **timeStamp** (string): The exact time the request for the exchange rate was made. (example: "2023-12-19 12:12:45")
- **message** (string): The error message received after the request was made. (example: "USA")
- **path** (string): The URL path to which the request was made. (example: "/fx-rate")
- **errorCode** (string): The error code received after the request was made. (example: "CURRENCY_NOT_SUPPORTED")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 401 - Failed due to an unauthorized request.
**FxRateResponse401**
- **timeStamp** (string): The exact time the request for the exchange rate was made (example: "2022-01-06 18:37:10")
- **message** (string): The error message returned for the failed request (example: "Full authentication is required to access this resource")
- **path** (string): The URL Path which the request was made through (example: "/fx-rate")
- **errorCode** (string): The error code associated with the reason for the failed request (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error (example: null)
- **details** (array): Further details of the error returned for the failed request (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**FxRateResponse404**
- **timeStamp** (string): The exact time the request for the exchange rate was made (example: "2022-01-06 18:37:10")
- **status** (integer): The HTTP status code returned after the request was made (example: 404)
- **error** (string): The error code received after the request was made (example: "Not Found")
- **message** (string): The error message received after the request was made (example: "No message available")
- **path** (string): The URL path to which the request was made (example: "/fx-rate")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/fx-rate?currencyCode=USD&amount=94.99"
```
```
--------------------------------
### GET /discounts
Source: https://docs.reloadly.com/assets/api/gift-cards.json
Retrieve the details of all available discounts on gift card products that can be purchased on Reloadly.
```markdown
### Parameters
- **size** (integer, query, optional) (example: 50)
- **page** (integer, query, optional) (example: 2)
### Responses
#### 200 - Successfully retrieved details of all discounts on gift card products.
**GetAllDiscountsResponse200**
- Array of object
- **product** (object): This is an object that contains details of the gift card product and its discount.
- **productId** (integer): This indicates the identification number of the gift card product. (example: 1)
- **productName** (string): This indicates the gift card's name. (example: "1-800-PetSupplies")
- **countryCode** (string): This indicates the ISO code of the country where a gift card can be used. (example: "US")
- **global** (boolean): This indicates if the gift card is global or regional (country-specific). (example: false)
- **discountPercentage** (integer): This indicates the percentage discount available for every purchase of the gift card. (example: 7.5)
#### 401 - Failed due to an unauthorized request.
**GetAllDiscountsResponse401**
- **timeStamp** (string): The exact time the request for the list of discounts was made. (example: "2021-09-06 21:14:00")
- **message** (string): The error message returned for the failed request. (example: "Full authentication is required to access this resource.")
- **path** (string): The URL path which the request was made through. (example: "/discounts")
- **errorCode** (string): The error code associated with the reason for the failed request. (example: "INVALID_TOKEN")
- **infoLink** (string): A link to further information about the error. (example: null)
- **details** (array): Further details of the error returned for the failed request. (example: [])
#### 404 - Failed because the request was made to an incorrect URL path.
**GetAllDiscountsResponse404**
- **timeStamp** (string): The exact time the request for the list of discounts was made. (example: "2021-06-09 13:24:00")
- **status** (integer): The HTTP status code returned after the request was made. (example: 404)
- **error** (string): The error code received after the request was made. (example: "Not Found")
- **message** (string): The error message received after the request was made. (example: "No message available")
- **path** (string): The URL path to which the request was made. (example: "/discount")
### Example Usage
```bash
curl -X GET "https://auth.reloadly.com/discounts?size=50&page=2"
```
```